com::lomiri::location::service::Interface::Properties::DoesSatelliteBasedPositioning Struct Reference

`#include <interface.h>`

Collaboration diagram for com::lomiri::location::service::Interface::Properties::DoesSatelliteBasedPositioning:

## Public Types

typedef com::lomiri::location::service::Interface | Interface
typedef bool | ValueType

## Static Public Member Functions

static const std::string & | name ()

## Static Public Attributes

static const bool | readable = true
static const bool | writable = true

## Detailed Description

Definition at line 109 of file service/interface.h.

## Member Typedef Documentation

## Interface

typedef com::lomiri::location::service::Interface com::lomiri::location::service::Interface::Properties::DoesSatelliteBasedPositioning::Interface

Definition at line 120 of file service/interface.h.

## ValueType

typedef bool com::lomiri::location::service::Interface::Properties::DoesSatelliteBasedPositioning::ValueType

Definition at line 121 of file service/interface.h.

## Member Function Documentation

## name()

const std::string & com::lomiri::location::service::Interface::Properties::DoesSatelliteBasedPositioning::name | ( |  | ) |

inline static

Definition at line 111 of file service/interface.h.

## Member Data Documentation

## readable

const bool com::lomiri::location::service::Interface::Properties::DoesSatelliteBasedPositioning::readable = true

static

Definition at line 122 of file service/interface.h.

## writable

const bool com::lomiri::location::service::Interface::Properties::DoesSatelliteBasedPositioning::writable = true

static

Definition at line 123 of file service/interface.h.

The documentation for this struct was generated from the following file:

- service/interface.h